petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawTriangle

PetscDraws a triangle onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawTriangle(PetscDraw draw,PetscReal x1,PetscReal y_1,PetscReal x2,PetscReal y2,PetscReal x3,PetscReal y3,int c1,int c2,int c3)

Not Collective

### Input Parameters

| draw | - the drawing context
| x1,y1,x2,y2,x3,y3 | - the coordinates of the vertices
| c1,c2,c3 | - the colors of the three vertices in the same order as the xi,yi

### See Also

PetscDrawLine(), PetscDrawRectangle(), PetscDrawEllipse(), PetscDrawMarker(), PetscDrawPoint(), PetscDrawArrow()

### Level

beginner

### Location

src/sys/classes/draw/interface/dtri.c

### Implementations

PetscDrawTriangle_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawTriangle_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawTriangle_OpenGL in src/sys/classes/draw/impls/opengl/openglops.c
PetscDrawTriangle_TikZ in src/sys/classes/draw/impls/tikz/tikz.c
src/sys/classes/draw/impls/win32/win32draw.c:482:static PetscErrorCode PetscDrawTriangle_Win32(PetscDraw draw,PetscReal x1,PetscReal yone,PetscReal x2,PetscReal y2, PetscDrawTriangle_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages